bins<-function(x){
	x<-x[,"seconds"]/60
	x<-hist(x, breaks=c(0:61))
	x$counts
}

#fr sucrose
b1<-read.table(file="../sucrose/fr/ETOH_motion_Box01_S140_2E90EDD056D5.csv", sep="\t", header=T)
b2<-read.table(file="../sucrose/fr/ETOH_motion_Box02_S122_2E90EDD08407.csv", sep="\t", header=T)
b3<-read.table(file="../sucrose/fr/ETOH_motion_Box03_S116_2E90EDD08407.csv", sep="\t", header=T)
b4<-read.table(file="../sucrose/fr/ETOH_motion_Box04_S117_2E90EDD21091.csv", sep="\t", header=T)
b5<-read.table(file="../sucrose/fr/ETOH_motion_Box05_S33_2E90EDD079FA.csv", sep="\t", header=T)
b1y<-bins(b1)
b2y<-bins(b2)
b3y<-bins(b3)
b4y<-bins(b4)
b5y<-bins(b5)
ys<-cbind(b1y, b2y, b3y, b4y, b5y)[1:60,]
y_sucfr<-apply(ys,1,mean)
err_sucfr<-apply(ys,1,function(x) sd(x)/sqrt(length(x)))

## vr sucrose
b1<-read.table(file="../sucrose/vr/ETOH_motion_Box01_S147_2E90EDD21091.csv", sep="\t", header=T)
b2<-read.table(file="../sucrose/vr/ETOH_motion_Box02_S121_2E90EDD08407.csv", sep="\t", header=T)
b3<-read.table(file="../sucrose/vr/ETOH_motion_Box03_S121_2E90EDD21091.csv", sep="\t", header=T)
b4<-read.table(file="../sucrose/vr/ETOH_motion_Box04_S118_2E90EDD051D2.csv", sep="\t", header=T)
b5<-read.table(file="../sucrose/vr/ETOH_motion_Box05_S34_2E90EDD21091.csv", sep="\t", header=T)


b1y<-bins(b1)
b2y<-bins(b2)
b3y<-bins(b3)
b4y<-bins(b4)
b5y<-bins(b5)
ys<-cbind(b1y, b2y, b3y, b4y, b5y)[1:60,]
y_sucvr<-apply(ys,1,mean)
err_sucvr<-apply(ys,1,function(x) sd(x)/sqrt(length(x)))

#waterFR 
b1<-read.table(file="../water/water_fr/ETOH_motion_Box01_S136_2E90EDD051D2.csv", sep="\t", header=T)
b2<-read.table(file="../water/water_fr/ETOH_motion_Box02_S118_2E90EDD08407.csv", sep="\t", header=T)
b4<-read.table(file="../water/water_fr/ETOH_motion_Box04_S113_2E90EDD235B4.csv", sep="\t", header=T)
b5<-read.table(file="../water/water_fr/ETOH_motion_Box05_S29_2E90EDD056D5.csv", sep="\t", header=T)
b1y<-bins(b1)
b2y<-bins(b2)
b3y<-bins(b3)
b4y<-bins(b4)
b5y<-bins(b5)
ys<-cbind(b1y, b2y, b3y, b4y, b5y)[1:60,]
y_watfr<-apply(ys,1,mean)
err_watfr<-apply(ys,1,function(x) sd(x)/sqrt(length(x)))

#water VR
b1<-read.table(file="../water/water_vr/ETOH_motion_Box01_S137_2E90EDD056D5.csv", sep="\t", header=T)
b2<-read.table(file="../water/water_vr/ETOH_motion_Box02_S119_2E90EDD051D2.csv", sep="\t", header=T)
b3<-read.table(file="../water/water_vr/ETOH_motion_Box02_S119_2E90EDD051D2.csv", sep="\t", header=T)
b4<-read.table(file="../water/water_vr/ETOH_motion_Box04_S115_2E90EDD21091.csv", sep="\t", header=T)
b5<-read.table(file="../water/water_vr/ETOH_motion_Box05_S31_2E90EDD051D2.csv", sep="\t", header=T)
b1y<-bins(b1)
b2y<-bins(b2)
b3y<-bins(b3)
b4y<-bins(b4)
b5y<-bins(b5)
ys<-cbind(b1y, b2y, b3y, b4y, b5y)[1:60,]
y_watvr<-apply(ys,1,mean)
err_watvr<-apply(ys,1,function(x) sd(x)/sqrt(length(x)))
dev.off()



ti<-"../../figures/locomotion.eps"
postscript(file=ti,width=8,height=6,onefile=F,horizontal=F,paper="special") 
par(mfrow=c(2,2))
y<-y_sucfr
err<-err_sucfr
x<-barplot(y, beside=T, col="royalblue", ylim=c(0,25), main="Sucrose FR 10", xlab="Minutes", ylab="Activity Counts")
arrows(x, y , x, y + err, angle = 90, length = .02, code = 3) 
#
y<-y_sucvr
err<-err_sucvr
x<-barplot(y, beside=T, col="royalblue", ylim=c(0,25), main="Sucrose VR 10", xlab="Minutes", ylab="Activity Counts")
arrows(x, y , x, y + err, angle = 90, length = .02, code = 3) 
#
y<-y_watfr
err<-err_watfr
x<-barplot(y, beside=T, col="royalblue", ylim=c(0,25), main="Water FR 10", xlab="Minutes", ylab="Activity Counts")
arrows(x, y , x, y + err, angle = 90, length = .02, code = 3) 
#
y<-y_watvr
err<-err_watvr
x<-barplot(y, beside=T, col="royalblue", ylim=c(0,25), main="Water VR 10", xlab="Minutes", ylab="Activity Counts")
arrows(x, y , x, y + err, angle = 90, length = .02, code = 3) 
dev.off()



